import request from '@/utils/request'

// 查询报修单-交车信息列表
export function listRepairFormDelivery(query) {
  return request({
    url: '/business/repairFormDelivery/list',
    method: 'get',
    params: query
  })
}

// 查询报修单-交车信息详细
export function getRepairFormDelivery(id) {
  return request({
    url: '/business/repairFormDelivery/' + id,
    method: 'get'
  })
}

// 新增报修单-交车信息
export function addRepairFormDelivery(data) {
  return request({
    url: '/business/repairFormDelivery',
    method: 'post',
    data: data
  })
}

// 修改报修单-交车信息
export function updateRepairFormDelivery(data) {
  return request({
    url: '/business/repairFormDelivery',
    method: 'put',
    data: data
  })
}

// 删除报修单-交车信息
export function delRepairFormDelivery(id) {
  return request({
    url: '/business/repairFormDelivery/' + id,
    method: 'delete'
  })
}
